/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.loosersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _ITEM_H
#define _ITEM_H

#include "display.h"
#include "font.h"

/*!
 * \file
 */

/*!
 * \brief Representa una opcin dentro del men
 */
typedef struct item_t
{
	char title [256];
	enum type type;
	Font * font;
	Display * display;
	
	int x;
	int y;
} Item;

Item * item_new (char * title, int x, int y, Font * font, Display * display);
void item_draw (Item * data);
void item_enter (Item * data);
void item_disable (Item * data);
void item_enable (Item * data);
int item_is_enabled (Item * data);
void item_leave (Item * data);
int item_get_y (Item * data);
void item_free (void * data);

#endif
